import { useStaticQuery, graphql } from "gatsby";

export const useAlgolia = () => {
  const { site } = useStaticQuery(
    graphql`
      query Algolia {
        site {
          siteMetadata {
            algoliaAdminApiKey
            algoliaAppId
            algoliaChunkSize
            algoliaIndexName
            algoliaSearchKey
          }
        }
      }
    `
  );

  return site.siteMetadata;
};
